
Core - Bug # 54122

Status: Closed Priority: Must have
Author: André Spindler Category: rtehtmlarea
Created: 2013-12-01 Assigned To:
Updated: 2013-12-03 Due date:
TYPO3 Version: 4.5
PHP Version: 5.4
Complexity:
Is Regression: No
Sprint Focus:
Subject: No RTE in IE11
Description

If You open any record in TCE with enable RTE, the RTE is not loaded.
You get just an textarea field with the compiled HTML code as content.

Might be caused by the new format of the useragent string?

Affected are at least versions 6.1 and 4.5, perhaps also 4.7, 6.0 and 6.2.

Related issues:
related to Core - Bug # 54124: Extend useragent-checks to include IE11 Resolved 2013-12-01

History
#1 - 2013-12-01 14:11 - André Spindler

Now verified the affected versions:
4.5.31
4.7.16
6.0.11
6.1.6
6.2.0beta2

#2 - 2013-12-01 15:19 - Markus Klein
- Status changed from New to Accepted
- TYPO3 Version changed from 6.1 to 4.5

#3 - 2013-12-01 15:48 - Stefan Neufeind

From reading the source I guess this should work when ClientUtility correctly detects "msie". For general IE11-detection-support see #54124.

#4 - 2013-12-02 12:10 - Stefan Neufeind

Markus confirmed in #54124 that the patch there (IE11-detection) also brings back the RTE in MSIE11. Please give the patch over there a try.

#5 - 2013-12-02 13:55 - André Spindler

Patch in #54124 works for me, too.

2015-08-04 1/2



RTE is back in 6.1 with IE11.
Also added patch manually to 4.5.31 and it works also there.

Thanks!

#6 - 2013-12-03 08:20 - Georg Ringer
- Status changed from Accepted to Closed

closed being a duplicate
